import zod from "zod";
export declare const createPageBlocksCreateValidation: () => zod.ZodObject<zod.objectUtil.extendShape<{
    dataSources: zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
        name: zod.ZodString;
        type: zod.ZodString;
        config: zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>;
    }, "strip", zod.ZodTypeAny, {
        type: string;
        name: string;
        config: {} & {
            [k: string]: unknown;
        };
    }, {
        type: string;
        name: string;
        config: {} & {
            [k: string]: unknown;
        };
    }>, "many">>;
    dataBindings: zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
        dataSource: zod.ZodString;
        bindFrom: zod.ZodString;
        bindTo: zod.ZodString;
    }, "strip", zod.ZodTypeAny, {
        dataSource: string;
        bindFrom: string;
        bindTo: string;
    }, {
        dataSource: string;
        bindFrom: string;
        bindTo: string;
    }>, "many">>;
    name: zod.ZodString;
    content: zod.ZodUnion<[zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, zod.ZodArray<zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, "many">]>;
}, {
    blockCategory: zod.ZodEffects<zod.ZodString, string, string>;
}>, "strip", zod.ZodTypeAny, {
    content: zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">[];
    name: string;
    blockCategory: string;
    dataSources?: {
        type: string;
        name: string;
        config: {} & {
            [k: string]: unknown;
        };
    }[] | undefined;
    dataBindings?: {
        dataSource: string;
        bindFrom: string;
        bindTo: string;
    }[] | undefined;
}, {
    content: zod.objectInputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">[];
    name: string;
    blockCategory: string;
    dataSources?: {
        type: string;
        name: string;
        config: {} & {
            [k: string]: unknown;
        };
    }[] | undefined;
    dataBindings?: {
        dataSource: string;
        bindFrom: string;
        bindTo: string;
    }[] | undefined;
}>;
export declare const createPageBlocksUpdateValidation: () => zod.ZodObject<{
    dataSources: zod.ZodOptional<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
        name: zod.ZodString;
        type: zod.ZodString;
        config: zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>;
    }, "strip", zod.ZodTypeAny, {
        type: string;
        name: string;
        config: {} & {
            [k: string]: unknown;
        };
    }, {
        type: string;
        name: string;
        config: {} & {
            [k: string]: unknown;
        };
    }>, "many">>>;
    dataBindings: zod.ZodOptional<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
        dataSource: zod.ZodString;
        bindFrom: zod.ZodString;
        bindTo: zod.ZodString;
    }, "strip", zod.ZodTypeAny, {
        dataSource: string;
        bindFrom: string;
        bindTo: string;
    }, {
        dataSource: string;
        bindFrom: string;
        bindTo: string;
    }>, "many">>>;
    name: zod.ZodOptional<zod.ZodString>;
    content: zod.ZodOptional<zod.ZodUnion<[zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, zod.ZodArray<zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, "many">]>>;
    blockCategory: zod.ZodOptional<zod.ZodEffects<zod.ZodEffects<zod.ZodOptional<zod.ZodString>, string | undefined, string | undefined>, string | undefined, string | undefined>>;
}, "strip", zod.ZodTypeAny, {
    content?: zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">[] | undefined;
    name?: string | undefined;
    dataSources?: {
        type: string;
        name: string;
        config: {} & {
            [k: string]: unknown;
        };
    }[] | undefined;
    dataBindings?: {
        dataSource: string;
        bindFrom: string;
        bindTo: string;
    }[] | undefined;
    blockCategory?: string | undefined;
}, {
    content?: zod.objectInputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">[] | undefined;
    name?: string | undefined;
    dataSources?: {
        type: string;
        name: string;
        config: {} & {
            [k: string]: unknown;
        };
    }[] | undefined;
    dataBindings?: {
        dataSource: string;
        bindFrom: string;
        bindTo: string;
    }[] | undefined;
    blockCategory?: string | undefined;
}>;
