import { PluginsContainer } from "@webiny/plugins";
import { CompressedValue } from "../../../plugins/ContentCompressionPlugin";
import { Page } from "../../../types";
export interface CreateCompressionParams {
    plugins: PluginsContainer;
}
export interface CompressContentCallable {
    (page: Page): Promise<CompressedValue | null>;
}
export interface DecompressContentCallable {
    (page: Page): Promise<Record<string, any> | null>;
}
export interface CreateCompressionResult {
    compressContent: CompressContentCallable;
    decompressContent: DecompressContentCallable;
}
export declare const createCompression: (params: CreateCompressionParams) => CreateCompressionResult;
