"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createBaseGraphQL = void 0;
const emptyResolver = () => ({});
const createBaseGraphQL = () => {
  return {
    type: "graphql-schema",
    schema: {
      typeDefs: /* GraphQL */`
                input PbFileInput {
                    id: ID!
                    src: String!
                }

                type PbFile {
                    id: ID!
                    src: String!
                }

                type PbIdentity {
                    id: ID
                    displayName: String
                    type: String
                }

                type PbError {
                    code: String
                    message: String
                    data: JSON
                    stack: String
                }

                type PbDeleteResponse {
                    data: Boolean
                    error: PbError
                }

                type PbQuery {
                    _empty: String
                }

                type PbMutation {
                    _empty: String
                }

                extend type Query {
                    pageBuilder: PbQuery
                }

                extend type Mutation {
                    pageBuilder: PbMutation
                }
            `,
      resolvers: {
        Query: {
          pageBuilder: emptyResolver
        },
        Mutation: {
          pageBuilder: emptyResolver
        }
      }
    }
  };
};
exports.createBaseGraphQL = createBaseGraphQL;

//# sourceMappingURL=base.gql.js.map