"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TranslatableCollectionMapper = void 0;
var _TranslatableCollection = require("../../domain/TranslatableCollection");
var _TranslatableItemMapper = require("./TranslatableItemMapper");
class TranslatableCollectionMapper {
  static fromDTO(dto, id) {
    return new _TranslatableCollection.TranslatableCollection({
      collectionId: dto.collectionId,
      items: dto.items.map(item => _TranslatableItemMapper.TranslatableItemMapper.fromDTO(item))
    }, id);
  }
  static toDTO(collection) {
    return {
      id: collection.getId(),
      collectionId: collection.getCollectionId(),
      items: collection.getItems().map(item => _TranslatableItemMapper.TranslatableItemMapper.toDTO(item))
    };
  }
}
exports.TranslatableCollectionMapper = TranslatableCollectionMapper;

//# sourceMappingURL=TranslatableCollectionMapper.js.map