"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TranslatableItemMapper = void 0;
var _TranslatableItem = require("../../domain/TranslatableItem");
class TranslatableItemMapper {
  static fromDTO(dto) {
    return _TranslatableItem.TranslatableItem.create({
      itemId: dto.itemId,
      value: dto.value,
      context: dto.context,
      modifiedOn: dto.modifiedOn ? new Date(dto.modifiedOn) : new Date(),
      modifiedBy: dto.modifiedBy
    });
  }
  static toDTO(item) {
    return {
      itemId: item.itemId,
      value: item.value,
      context: item.context,
      modifiedOn: item.modifiedOn.toISOString(),
      modifiedBy: item.modifiedBy
    };
  }
}
exports.TranslatableItemMapper = TranslatableItemMapper;

//# sourceMappingURL=TranslatableItemMapper.js.map