"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GetTranslatedCollectionRepository = void 0;
var _error = require("@webiny/error");
var _GetModel = require("../../GetModel");
var _TranslatedCollectionMapper = require("./mappers/TranslatedCollectionMapper");
class GetTranslatedCollectionRepository {
  constructor(context) {
    this.context = context;
  }
  async execute(params) {
    const model = await _GetModel.GetModel.byModelId(this.context, "translatedCollection");
    const existingEntry = await this.context.cms.getEntry(model, {
      where: {
        collectionId: params.collectionId,
        languageCode: params.languageCode,
        latest: true
      }
    });
    if (!existingEntry) {
      throw new _error.WebinyError({
        message: `TranslatedCollection "${params.collectionId}" for language "${params.languageCode}" was not found!`,
        code: "NOT_FOUND"
      });
    }
    return _TranslatedCollectionMapper.TranslatedCollectionMapper.fromDTO(existingEntry.values, existingEntry.entryId);
  }
}
exports.GetTranslatedCollectionRepository = GetTranslatedCollectionRepository;

//# sourceMappingURL=GetTranslatedCollectionRepository.js.map